#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Date
%define		pnam	Pcalc
Summary:	Date::Pcalc Perl module - Gregorian calendar date calculations
Summary(pl.UTF-8):	Moduł Perla Date::Pcalc - obliczenia na datach wg kalendarza gregoriańskiego
Name:		perl-Date-Pcalc
Version:	6.1
Release:	18
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6a719d8fe10ac673be5d09e003130aa8
Patch0:		build.patch
Patch1:		Date-Pcalc-6.1-century.patch
URL:		http://catcode.com/date/pcalc.html
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Bit-Vector >= 7.1
BuildRequires:	perl-Carp-Clan >= 5.3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(anything_fake_or_conditional)'

%description
This package consists of a Perl module for all kinds of date
calculations based on the Gregorian calendar (the one used in all
western countries today), thereby complying with all relevant norms
and standards: ISO/R 2015-1971, DIN 1355 and, to some extent, ISO 8601
(where applicable).

%description -l pl.UTF-8
Ten pakiet zawiera moduł Perla do wszystkich rodzajów obliczeń na
datach opartych na kalendarzu gregoriańskim (używanym aktualnie we
wszystkich państwach zachodnich) w sposób zgodny z odpowiednimi
normami i standardami: ISO/R 2015-1971, DIN 1355 i, w pewnym zakresie,
ISO 8601.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%{__rm} t/f035.t

%build
echo c | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a tools $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt INSTALL.txt README.txt EXAMPLES.txt
%dir %{perl_vendorarch}/Date
%{perl_vendorarch}/Date/Pcalc.pm
%dir %{perl_vendorarch}/Date/Pcalc
%{perl_vendorarch}/Date/Pcalc/Object.pm
%{perl_vendorarch}/Date/Pcalendar.pm
%dir %{perl_vendorarch}/Date/Pcalendar
%{perl_vendorarch}/Date/Pcalendar/*.pm
%dir %{perl_vendorarch}/auto/Date
%dir %{perl_vendorarch}/auto/Date/Pcalc
%attr(755,root,root) %{perl_vendorarch}/auto/Date/Pcalc/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Date-Pcalc.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 559231d
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7234e71
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 3d5a75b
- rebuild with perl 5.30.0
- release 17 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 9454f86
- rebuild with perl 5.28.0
- release 16 (by relup.sh)

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> df6a96b
- remove broken test (syntax errors in test code)
- rel 15

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d9ec21b
- perl req/prov fix
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 520f6b0
- rebuild with perl 5.26
- release 13 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 410bfd1
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8920a7d
- fix test suite
- rel 11

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> e87a6ca
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f4afe4c
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 0e363fb
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 528417d
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2220ebb
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 779570b
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> efcc988
- don't use reserved words in enum
- rel 5

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bf7ac06
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 784fb5f
- release 3

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 5096318
- added missing %dirs in %files section
- release 2

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 1df7be8
- updated to 6.1
- cleaned up BRs
- examples added
- cleaned up %files

